Author Topic: How to prevent unnecessary commit due to using different Archi version?  (Read 65 times)

xiaoqi

  • Active Member
  • ***
  • Posts: 61
  • Today is the Tomorrow we talked about Yesterday
Hello,

Try to explain this situation during our team's usage.

Previously, we all use the stable Archi version 4.8.1, the 2nd line in the archi model file is like below:

Code: [Select]
<archimate:model xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:archimate="http://www.archimatetool.com/archimate" name="WorkingModel" id="id-ea877a29eadd4b0081747002d68e3ded" version="4.6.0">


However, not aware before why its version shows as "4.6.0", but never mind.

Recently, I've upgraded myself to beta 4.9.0, and now that line in my archi model file is like below:

Code: [Select]
<archimate:model xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:archimate="http://www.archimatetool.com/archimate" name="WorkingModel" id="id-8688bca85fdd4a2da3f91f3e1e4fb514" version="4.9.0">

This is OK when I work on the model as single file, but since our team is using coArchi with Git Repo together, when I sync from others (who still using previous version) master branch, even having no change but just do one save in local self branch, see attached picture, and we get this version difference resulting the "change" detected via Git:

Code: [Select]
xmlns:archimate="http://www.archimatetool.com/archimate"
name="VFS Archi Model"
id="cf61ee53-4c7b-4bb7-8280-69c13b779506"
Minus      version="4.6.0">
        Plus      version="4.9.0">

For my colleague, then have same but vice versa on the version, this is not harmful, but causing unnecessary commits.

How's your view on preventing this happening?

From my view, shall we remove that "version="x.x.x" from the ".archimate" file? That can be simply allow team members using different version especially some early adopter trying the beta without creating noisy.

Thanks a lot, regards,
Xiaoqi

Jean-Baptiste Sarrodie

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 695
  • Archi Evangelist and Contributor. Visionary.
    • About me...
Hi,

First, Archi 4.9 is still in alpha and should not be used for production. It also contains new features that make it incompatible with current coArchi version.

That being said, the issue you face is due to different internal file format (whose version is not related to Archi version, 4.6 is the latest in production) that get automatically updated by archi when you open the model. There's nothing you can do to prevent this and this means that when this internal format evolves you should plan a "team upgrade" to limit issues.

Regards,

JB
If you value and use Archi please consider making a donation! https://www.archimatetool.com/donate

xiaoqi

  • Active Member
  • ***
  • Posts: 61
  • Today is the Tomorrow we talked about Yesterday
Thanks JB, and fully agree that we need to have team upgrading plan together so that everyone will be in the same version.